
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was KWinConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include(CMakeFindDependencyMacro)
find_dependency(Qt6Core "6.6.0")
find_dependency(Qt6Gui "6.6.0")
find_dependency(Qt6Quick "6.6.0")
find_dependency(KF6Config "6.2.0")
find_dependency(KF6CoreAddons "6.2.0")
find_dependency(KF6WindowSystem "6.2.0")
find_dependency(Wayland REQUIRED Server)
find_dependency(epoxy)


include("${CMAKE_CURRENT_LIST_DIR}/KWinTargets.cmake")
